// createGuid() // "a1ca0f7b-51bd-4bf3-a5d5-6a74f6adc1c7"
function CreateGuid() {
  return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
    var r = Math.random() * 16 | 0,
      v = c == 'x' ? r : (r & 0x3 | 0x8);
    return v.toString(16);
  });
}

/**
 * 生成随机码
 * @param num 随机码位数
 * @returns
 */
function CreateRandomCode(num: number) {
  let code = '';
  for (let i = 0; i < num; i++) { // < 注意替换
    const type = getRandom(1, 3);
    if (type == 1) {
      code += String.fromCharCode(getRandom(48, 57));//数字
    } else if (type == 2) {
      code += String.fromCharCode(getRandom(65, 90));//大写字母
    } else if (type == 3) {
      code += String.fromCharCode(getRandom(97, 122));//小写字母
    }
  }
  return code;
};

function getRandom(min, max) {
  return Math.round(Math.random() * (max - min) + min);
};
// console.log(CreateRandomCode(6)); // 输出随机码
// Unicode字符编码表
// 字符          编码
// 数字          48-57
// 小写字母      97-122
// 大写字母      65-90

export {
  CreateGuid,
  CreateRandomCode
}